Page MenuHome

Swapped new checkbox icon for F-Curve Modifier property 'mute' so it shows checked if unmuted (=enabled).
ClosedPublic

Authored by Anton Stötzer (blendermusic) on Nov 10 2018, 5:52 PM.

Details

Summary

The F-Curve Modifiers "mute"-Icon recently got updated from the speaker icon to a checkbox.
The checkbox however now does the opposite of what you might think: It disables the modifier if checked and enables if unchecked. The average user doesn't know this is because the actual property is called 'mute'.

This issue was recently pointed out by Pablo in Blender Today's live stream 038 at 44m25s: https://youtu.be/67NIL5A-07c?t=2665

In this Diff I swapped the checkbox to act as expected and changed the Tooltip. The property itself is still called 'mute'.

This is my first little contribution to blender code. I appreciate any feedback and hope I did everything right.

Anton

Diff Detail

Repository
rB Blender

Event Timeline

Confirmed.

Date: 2018-11-29 22:54
Hash: 63c06531707
Branch: blender2.8 (modified)


Initial Setting with checkbox checked and f-curve modifier enabled:

Checkbox unchecked and f-curve modifier disabled:

Modified code per @Anton Stötzer (blendermusic) Diff 12495

Tested with blend file:

@Pablo Vazquez (pablovazquez) what do you think?
This change by @Anton Stötzer (blendermusic) looks good to me. Can we get it merged?
Or are there other proposals like using an icon that changes between grey and red prohibition circle (think no smoking or ghostbusters)?
Grey for "mute" off (modifier is active)... Red for "muted" (modifier disabled).

Hi! Thanks for the poke, I missed this one.

Functionality wise it looks good to me! The check should always be positive, like we do everywhere else in Blender.

Code-wise I will leave that to other developers. @Brecht Van Lommel (brecht) could you check on this little UI papercut? It's basically that the enable/disable icon in the F-curve modifiers is inverted, as in this gif:

Thanks @Anton Stötzer (blendermusic) for looking into it!

This change matches what we did elsewhere to make the checkboxes work correctly, so the diff should be correct. @Brecht Van Lommel (brecht) can confirm.

This revision is now accepted and ready to land.Jan 16 2019, 8:25 PM
This revision was automatically updated to reflect the committed changes.

I committed this without the property name change.

We can't rename it to the opposite, and it also needs to be called mute unless we change the terminology everywhere (operators, NLA, docs, ...).